Bug 21628 - Simplify holds awaiting pickup report
Summary: Simplify holds awaiting pickup report
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Josef Moravec
URL:
Keywords: Academy
Depends on:
Blocks: 23192
  Show dependency treegraph
 
Reported: 2018-10-22 15:20 UTC by Nick Clemens
Modified: 2020-06-04 20:32 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21628: Simplify holds awating pickup report (16.26 KB, patch)
2018-10-22 15:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21628: Simplify holds awating pickup report (16.25 KB, patch)
2018-10-29 11:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21628: Simplify holds awating pickup report (16.30 KB, patch)
2018-10-29 12:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21628: (follow-up) Indentation and filter corrections (7.85 KB, patch)
2018-10-29 12:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21628: Simplify holds awating pickup report (16.41 KB, patch)
2018-10-30 04:37 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 21628: (follow-up) Indentation and filter corrections (8.02 KB, patch)
2018-10-30 04:38 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 21628: Simplify holds awating pickup report (16.46 KB, patch)
2018-10-31 19:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21628: (follow-up) Indentation and filter corrections (8.07 KB, patch)
2018-10-31 19:25 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-10-22 15:20:32 UTC

    
Comment 1 Nick Clemens 2018-10-22 15:24:21 UTC Comment hidden (obsolete)
Comment 2 Alex Buckley 2018-10-29 00:05:53 UTC
Hi Nick 

Can you please rebase your patch, it is failing on waitingreserves.tt

Applying: Bug 21628: Simplify holds awating pickup report
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/circ/waitingreserves.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/circ/waitingreserves.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/circ/waitingreserves.tt
Failed to merge in the changes.
Patch failed at 0001 Bug 21628: Simplify holds awating pickup report
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-21628-Simplify-holds-awating-pickup-report-eTjzAf.patch
You have new mail in /var/mail/vagrant

Cheers,
Alex
Comment 3 Nick Clemens 2018-10-29 11:49:38 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2018-10-29 12:56:08 UTC
Created attachment 81485 [details] [review]
Bug 21628: Simplify holds awating pickup report

To test:
1 - Place a number of holds
2 - Check in the items and confirm the holds
3 - Visit /cgi-bin/koha/circ/waitingreserves.pl
4 - View the report
5 - Apply patch
6 - Confirm that the report looks the same
7 - Confirm cancelling holds works as before

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Owen Leonard 2018-10-29 12:56:12 UTC
Created attachment 81486 [details] [review]
Bug 21628: (follow-up) Indentation and filter corrections

This patch modifies the new waiting_holds.inc to fix the indentation. A
template variable filter has been added to quiet QA tool warnings.
Buttons are now styled as Bootstrap buttons.

To test, apply the patch and view the holds report. Confirm that
everything looks correct. Validate the HTML and confirm that there are
no errors in the HTML of the body of the page.
Comment 6 Alex Buckley 2018-10-30 04:37:52 UTC
Created attachment 81610 [details] [review]
Bug 21628: Simplify holds awating pickup report

To test:
1 - Place a number of holds
2 - Check in the items and confirm the holds
3 - Visit /cgi-bin/koha/circ/waitingreserves.pl
4 - View the report
5 - Apply patch
6 - Confirm that the report looks the same
7 - Confirm cancelling holds works as before

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Followed test plan, patch worked as described
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 7 Alex Buckley 2018-10-30 04:38:13 UTC
Created attachment 81611 [details] [review]
Bug 21628: (follow-up) Indentation and filter corrections

This patch modifies the new waiting_holds.inc to fix the indentation. A
template variable filter has been added to quiet QA tool warnings.
Buttons are now styled as Bootstrap buttons.

To test, apply the patch and view the holds report. Confirm that
everything looks correct. Validate the HTML and confirm that there are
no errors in the HTML of the body of the page.

Followed test plan, everything looked correct and no HTML errors on
waitingreserves.tt found by HTML validator

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 8 Josef Moravec 2018-10-31 19:25:38 UTC
Created attachment 81776 [details] [review]
Bug 21628: Simplify holds awating pickup report

To test:
1 - Place a number of holds
2 - Check in the items and confirm the holds
3 - Visit /cgi-bin/koha/circ/waitingreserves.pl
4 - View the report
5 - Apply patch
6 - Confirm that the report looks the same
7 - Confirm cancelling holds works as before

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Followed test plan, patch worked as described
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Josef Moravec 2018-10-31 19:25:43 UTC
Created attachment 81777 [details] [review]
Bug 21628: (follow-up) Indentation and filter corrections

This patch modifies the new waiting_holds.inc to fix the indentation. A
template variable filter has been added to quiet QA tool warnings.
Buttons are now styled as Bootstrap buttons.

To test, apply the patch and view the holds report. Confirm that
everything looks correct. Validate the HTML and confirm that there are
no errors in the HTML of the body of the page.

Followed test plan, everything looked correct and no HTML errors on
waitingreserves.tt found by HTML validator

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 10 Nick Clemens 2018-11-08 02:27:33 UTC
Awesome work all!

Pushed to master for 18.11
Comment 11 Martin Renvoize 2018-11-16 13:07:09 UTC
Enhancement, will not be backported to 18.05.x series.